package com.dayou.brokerage.annotation;


import com.dayou.enums.CodeMsgEnumInterface;
import com.dayou.enums.GlobalConfigEnum;

import java.lang.annotation.*;
import java.util.Arrays;
import java.util.List;

/**
 * 类说明：
 *
 * @author: wucl
 * @since: 2023/3/14
 * created with IntelliJ IDEA.
 */
@Target({ElementType.PARAMETER, ElementType.METHOD})
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface RefreshBrokerageDate {

    List<String> fields = Arrays.asList(GlobalConfigEnum.Finance.NON_MARKETER_MONTH_BROKERAGE.getCode(),
                                                            GlobalConfigEnum.Finance.MARKETER_BROKERAGE_PERCENTAGE.getCode(),
                                                            GlobalConfigEnum.Finance.PARTICIPANT_BROKERAGE_PERCENTAGE.getCode(),
                                                            GlobalConfigEnum.Sys.MONTH_OF_YEAR.getCode() ) ;
    boolean globalConfig() default false;
}
